\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types | Public Member Functions
ArrangementConstructXMonotoneCurveTraits_2 Concept Reference
Traits Concepts

## Definition

The concept `ArrangementConstructXMonotoneCurveTraits_2` refines the basic traits concept `ArrangementBasicTraits_2`. A model of this concept is able to construct an \( x\)-monotone curve from two points.

Refines:
  `ArrangementBasicTraits_2`

Has Models:

  `CGAL::Arr_conic_traits_2<RatKernel,AlgKernel,NtTraits>`

  `CGAL::Arr_non_caching_segment_traits_2<Kernel>`

  `CGAL::Arr_segment_traits_2<Kernel>`

  `CGAL::Arr_polyline_traits_2<SegmentTraits_2>`

  `CGAL::Arr_rational_function_traits_2<AlgebraicKernel_d_1>`

Has Models:
  `CGAL::Arr_linear_traits_2<Kernel>`

See Also
  `ArrangementApproximateTraits_2`, `ArrangementXMonotoneTraits_2`, and `ArrangementTraits_2`

## Public Types
typedef ArrTraits::X_monotone_curve_2 | X_monotone_curve_2
typedef ArrTraits::Point_2 | Point_2

## Public Member Functions
X_monotone_curve_2 | operator() (Point_2 p1, Point_2 p2)
| returns an \( x\)-monotone curve connecting `p1` and `p2` (i.e., the two input points are its endpoints).